*  FILE: ADVENT03/ASM
*
* DATA VARIABLES AND TABLES
*

*******************************
*
* VERB TABLE.  EACH VERB IS
* LISTED FOLLOWED BY IT'S
* ASSIGNED VERB NUMBER.
*
*******************************

VERBTB EQU *
 FCC 'LOOK',1
 FCC 'L   ',1
 FCC 'EXAM',1
 FCC 'INVE',2
 FCC 'I   ',2
 FCC 'G   ',3
 FCC 'GET ',3
 FCC 'TAKE',3
 FCC 'GRAB',3
 FCC 'PUT ',4
 FCC 'DROP',4
 FCC 'P   ',4
 FCC 'THRO',4
 FCC 'NORT',5
 FCC 'N   ',5
 FCC 'SOUT',6
 FCC 'S   ',6
 FCC 'EAST',7
 FCC 'E   ',7
 FCC 'WEST',8
 FCC 'W   ',8
 FCC 'UP  ',9
 FCC 'U   ',9
 FCC 'DOWN',10
 FCC 'D   ',10
 FCC 'GO  ',11
 FCC 'WALK',11
 FCC 'RUN ',11
 FCC 'SAVE',12
 FCC 'LOAD',13
 FCC 'HELP',14
 FCC 'SCOR',15
 FCC 'QUIT',16
 FCC 'CLIM',17
 FCC 'OPEN',18
 FCC 'WEAR',19
 FCC 'READ',20
 FCC 'REMO',21
 FCC 'SET ',22
 FCC 'PRES',23
 FCC 'PUSH',23
 FCC 'CLOS',24
 FCC 'FOLD',25
 FCC 'UNFO',26
 FCC 'DRIN',27
 FCC 'FILL',28
 FCC 'INSE',29
 FCC 'POUR',30
 FCC 'EMPT',31
 FCC 'UNLO',32
 FCC 'DIG ',33
 FCC 'CHOP',34
 FCC 'CUT ',34
 FCC 'PULL',35
 FCC 'CROS',36
 FCC 'EAT ',37
 FCC 'CHEW',37
 FCC 'FEED',38
 FCC 'GIVE',38
 FCC 'TIE ',39
 FCC 'UNTI',40
 FCB 0

*******************************
*
* NOUN TABLE.  LISTS ALL NOUNS
* AND THEIR ASSOCIATED NUMBER
*
*******************************

NOUNTB EQU *
 FCC 'NORT',1
 FCC 'SOUT',2
 FCC 'EAST',3
 FCC 'WEST',4
 FCC 'UP  ',5
 FCC 'DOWN',6
 FCC 'INVE',7
 FCC 'SUIT',8
 FCC 'AD  ',10
 FCC 'ADVE',10
 FCC 'LEAF',10
 FCC 'KEY ',11
 FCC 'MANU',13
 FCC 'INST',13
 FCC 'BEAK',14
 FCC 'GLAS',14
 FCC 'BLAN',16
 FCC 'PILL',17
 FCC 'COMM',20
 FCC 'MESS',20
 FCC 'MAP ',21
 FCC 'SHOV',23
 FCC 'CANT',24
 FCC 'AMUL',25
 FCC 'CART',26
 FCC 'CAPS',27
 FCC 'SPID',28
 FCC 'PLAN',30
 FCC 'XEND',30
 FCC 'ROPE',32
 FCC 'STON',77
 FCC 'RUBB',77
 FCC 'LAVA',82
 FCC 'STRE',82
 FCC 'FORC',83
 FCC 'FIEL',83
 FCC 'GRAT',84
 FCC 'DOOR',85
 FCC 'DRAW',87
 FCC 'CHAS',88
 FCC 'TREE',89
 FCC 'BRID',91
 FCC 'SHIP',95
 FCC 'WREC',95
 FCC 'ICE ',96
 FCC 'WHIT',97
 FCC 'CENO',98
 FCC 'ROBO',99
 FCC 'SKEL',101
 FCC 'BONE',101
 FCC 'LIQU',102
 FCC 'ACID',102
 FCC 'EMER',105
 FCC 'HATC',105
 FCC 'VIEW',107
 FCC 'SCRE',107
 FCC '8350',108
 FCC '7112',109
 FCC '3816',110
 FCC '1042',111
 FCC 'PLAQ',113
 FCC 'PIPE',114
 FCC 'SUNL',115
 FCC 'LAMP',115
 FCC 'BUTT',117
 FCC 'POCK',118
 FCC 'LADD',119
 FCC 'WIND',120
 FCC 'TELE',120
 FCC 'BLUE',121
 FCC 'SIGN',122
 FCC 'RED ',123
 FCC 'PANE',124
 FCC 'BARR',126
 FCC 'CABI',127
 FCC 'ALL ',128
 FCC 'EVER',128
 FCB 0

*******************************
*
* SPECIAL ACTION TABLE. LISTS
* VERB/NOUN COMBO'S THAT HAVE
* SPECIAL PROCESSING ROUTINES.
* FORMAT IS:
*
*  # BYTES       DEXCRIPTION
*  -------   ------------------
*     1      VERB NUMBER
*     1      NOUN NUMBER
*     2      SPECIAL RTN ADDR
*
*******************************

SPCRTN EQU *
 FDB $017F,LOOK01 LOOK CABINET
 FDB $0176,LOOK02 LOOK POCKET
 FDB $016B,LOOK03 LOOK SCREEN
 FDB $0177,LOOK04 LOOK LADDER
 FDB $0157,LOOK05 LOOK DRAWER
 FDB $0161,LOOK06 LOOK WHITE
 FDB $0175,DMSG48 LOOK BUTTON
 FDB $0307,VINVE TAKE INVENTORY
 FDB $0365,GET01 GET SKELETON
 FDB $0366,GET02 GET LIQUID
 FDB $031A,GET03 GET CARTRIDGE
 FDB $0377,GET04 GET LADDER
 FDB $0360,GET05 GET ICE
 FDB $031C,GET06 GET SPIDER
 FDB $0320,GET07 GET ROPE
 FDB $0361,GET08 GET WHITE
 FDB $0375,DMSG48 GET BUTTON
 FDB $0376,DMSG26 GET POCKET
 FDB $0408,PUT01 PUT SUIT
 FDB $040E,PUT02 PUT BEAKER
 FDB $0410,PUT03 PUT BLANKET
 FDB $0B77,GO01  GO LADDER
 FDB $0B78,GO02  GO WINDOW
 FDB $0B69,GO03  GO HATCH
 FDB $0B62,GO04  GO CENOTAPH
 FDB $0B5B,GO05  GO BRIDGE
 FDB $0B59,GO06  GO TREE
 FDB $0B53,GO07  GO FORCE
 FDB $0B55,GO08  GO DOORWAY
 FDB $0B54,GO09  GO GRATE
 FDB $0B4D,GO10  GO STONES
 FDB $0B20,GO11  GO ROPE
 FDB $0B52,GO12  GO LAVA
 FDB $1177,GO01  CLIMB LADDER
 FDB $1162,GO04  CLIMB CENOTAPH
 FDB $1159,GO06  CLIMB TREE
 FDB $1120,GO11  CLIMB ROPE
 FDB $120D,OPEN01 OPEN MANUAL
 FDB $1269,OPEN02 OPEN HATCH
 FDB $1215,OPEN03 OPEN MAP
 FDB $127C,UNLK02 OPEN PANEL
 FDB $1415,LOOKOB READ MAP
 FDB $151A,REMO01 REMOVE CART
 FDB $1779,PRES01 PRESS BLUE
 FDB $177B,PRES02 PRESS RED
 FDB $1761,PRES03 PRESS WHITE
 FDB $1775,DMSG48 PRESS BUTTON
 FDB $1869,CLOS01 CLOSE HATCH
 FDB $1815,CLOS02 CLOSE MAP
 FDB $187F,CLOS03 CLOSE CABINET
 FDB $187C,CLOS04 CLOSE PANEL
 FDB $1915,CLOS02 FOLD MAP
 FDB $1A15,OPEN03 UNFOLD MAP
 FDB $1B66,DRIN01 DRINK LIQUID
 FDB $1E0E,POUR01 POUR BEAKER
 FDB $1E66,POUR01 POUR ACID
 FDB $1F0E,POUR01 EMPTY BEAKER
 FDB $207F,UNLK01 UNLOCK CABINET
 FDB $207C,UNLK02 UNLOCK PANEL
 FDB $2260,VDIG   CHOP ICE
 FDB $231A,REMO01 PULL CART
 FDB $245B,GO05   CROSS BRIDGE
 FDB $261C,FEED01 FEED SPIDER
 FDB 0

*******************************
*
* SPECIAL ACTION ON ENTRY TO A
* ROOM TABLE.  FORMAT IS:
*      ROOM#,RTNADDR
*
*******************************

ENTRTB EQU *
 FCB 07,>ENTR07
 FCB 26,>ENTR26
 FCB 32,>ENTR26
 FCB 33,>ENTR33
 FCB 39,>ENTR39
 FCB 0

*******************************
*
* SPECIAL ACTION ON EXIT FROM
* A ROOM TABLE.
*
*******************************

EXITTB EQU *
 FCB 3,>EXIT03
 FCB 8,>EXIT08
 FCB 9,>EXIT08
 FCB 10,>EXIT08
 FCB 11,>EXIT11
 FCB 12,>EXIT11
 FCB 13,>EXIT11
 FCB 14,>EXIT11
 FCB 33,>EXIT33
 FCB 35,>EXIT35
 FCB 38,>EXIT38
 FCB 40,>EXIT40
 FCB 0

*******************************
*
* SPECIAL ACTION FOR COMMANDS
* GIVEN WHILE IN A ROOM TABLE
*
*******************************

INRMTB EQU *
 FCB 33,>INRM33
 FCB 35,>INRM35
 FCB 40,>INRM35
 FCB 0

*******************************
*
* MESSAGE TABLE FOR GENERAL
* LOOK AT OBJECT ROUTINE
*
* FMT: FCB OBJ#
*          MSG# IF CARRYING
*          MSG# IF IN ROOM
*
*******************************

OBJMSG EQU *
 FCB 8,30,30   SPACE SUIT
 FCB 9,30,0    WEARING SUIT
 FCB 10,45,10  LEAFLET
 FCB 12,113,113 BLANKET W/ICE
 FCB 13,39,10  CLOSED MANUAL
 FCB 14,22,22  EMPTY BEAKER
 FCB 16,29,29  BLANKET
 FCB 17,28,28  PILLOW
 FCB 19,40,10  OPEN MANUAL
 FCB 20,41,10  MESSAGE
 FCB 21,56,10  FOLDED MAP
 FCB 22,57,10  OPEN MAP
 FCB 27,88,10  YELLOW CAPSULE
 FCB 28,105,105 SPIDER
 FCB 29,100,100 UNCON SPIDER
 FCB 30,111,111 PLANT
 FCB 31,112,112 DEAD PLANT
 FCB 75,0,109  GRATE OVER STREAM
 FCB 76,0,109  GRATE OVER STREAM
 FCB 80,0,108  ROPE OVER CHASM
 FCB 81,0,107  ROPE TO TREE
 FCB 85,0,18   DOORWAY
 FCB 86,0,18   OPEN GRATE
 FCB 87,0,22   OPEN DRAWER
 FCB 90,0,83   CRUMBLED BRIDGE
 FCB 92,0,49   VIEW SCREEN
 FCB 93,0,82   ROBOT
 FCB 94,0,81   FULL BARREL
 FCB 98,0,114  CENOTAPH
 FCB 99,0,70   ROBOT
 FCB 100,0,69  ROBOT
 FCB 101,0,65  SKELETON
 FCB 102,0,66  POOL OF ACID
 FCB 103,0,49  VIEW SCREEN
 FCB 104,0,16  CLOSED HATCH
 FCB 105,0,18  OPEN HATCH
 FCB 106,0,49  VIEW SCREEN
 FCB 107,0,50  VIEW SCREEN
 FCB 112,0,54  VELDBOER PLAQUE
 FCB 113,0,37  TREKBOER PLAQUE
 FCB 124,0,58  OPEN PANEL
 FCB 125,0,17  LOCKED PANEL
 FCB 126,0,68  EMPTY BARREL
 FCB 0

*******************************
* OBJECT EQUATE TABLE DEFINES
* OBJECTS THAT MAY HAVE MULTIPLE
* OBJECT NUMBERS.
*
* FORMAT: FCB X,Y,Y,Y,Y
*  WHERE: X = PRIMARY OBJ #
*         Y = SECONDARY OBJ #
*             OR ZERO FOR NONE
*******************************

EQUTAB EQU *
 FCB 8,9,0          SPACE SUIT
 FCB 16,12,0        BLANKET
 FCB 13,19,0        MANUAL
 FCB 14,18,15,0     GLASS BEAKER
 FCB 21,22,0        MAP
 FCB 28,29,0        SPIDER
 FCB 30,31,0        PLANT
 FCB 32,80,81,78,0  ROPE
 FCB 84,86,75,76,0  GRATE
 FCB 91,90,0        BRIDGE
 FCB 99,100,93,0    ROBOT
 FCB 105,104,0      EMER HATCH
 FCB 107,106,103,92,0 VIEW SCR
 FCB 113,112,0      PLAQUE
 FCB 114,126,94,0   PIPES
 FCB 127,116,0      CABINET
 FCB 124,125,0      PANEL
 FCB 126,94,0       BARREL
 FCB 0

*******************************
* DEFINE OBJECTS THAT SHOULD
* BE REFERRED TO AS "THEM"
*
* FORMAT IS: OBJ#,TYPE
*      WHERE TYPE IS:
*     0 = IT    1 = THEM
*     2 = HER   3 = HIM
*
*******************************

THEMTB EQU *
 FCB 89,4
 FCB 114,1
 FCB 115,1
 FCB 0

*******************************
* LITERAL TABLE FOR IT,THEM,HIM
* HER MESSAGES.
*******************************

LITTAB EQU *
 FCC 'it.',0
 FCC 'them.',0
 FCC 'her.',0
 FCC 'him.',0
 FCC 'one.',0

*******************************
*
* ROOM TABLE.  DEFINES THE
* LAYOUT OF THE ADVENTURE. EACH
* ENTRY HAS THE FOLLOWING
* FORMAT:
*
* # BYTES        DESCRIPTION
* -------   -------------------
*    1      ROOM # TO NORTH
*    1      ROOM # TO SOUTH
*    1      ROOM # TO EAST
*    1      ROOM # TO WEST
*    1      ROOM # UP
*    1      ROOM # DOWN
*
*******************************

ROOMTB EQU *
*ROOM 1
 FCB 0,5,3,4,0,0
*ROOM 2
 FCB 0,0,3,4,0,0
*ROOM 3
 FCB 2,5,0,1,0,0
*ROOM 4
 FCB 2,5,1,0,0,0
*ROOM 5
 FCB 1,0,3,4,0,0
*ROOM 6
 FCB 0,0,0,0,0,1
*ROOM 7
 FCB 0,0,0,0,0,0
*ROOM 8
 FCB 9,9,8,8,0,0
*ROOM 9
 FCB 9,9,9,10,0,0
*ROOM 10
 FCB 8,10,10,10,0,0
*ROOM 11
 FCB 11,12,11,0,0,0
*ROOM 12
 FCB 11,12,14,12,0,0
*ROOM 13
 FCB 0,14,12,0,0,0
*ROOM 14
 FCB 13,0,0,12,0,0
*ROOM 15
 FCB 0,0,0,0,0,17
*ROOM 16
 FCB 0,0,0,0,0,0
*ROOM 17
 FCB 0,19,20,22,0,0
*ROOM 18
 FCB 0,0,0,0,0,10
*ROOM 19
 FCB 17,0,20,22,0,0
*ROOM 20
 FCB 21,19,0,17,0,0
*ROOM 21
 FCB 0,0,20,22,0,0
*ROOM 22
 FCB 21,19,17,0,0,0
*ROOM 23
 FCB 26,23,23,24,0,0
*ROOM 24
 FCB 25,23,23,25,0,0
*ROOM 25
 FCB 25,23,24,25,0,0
*ROOM 26
 FCB 0,25,27,26,0,0
*ROOM 27
 FCB 0,23,27,26,0,0
*ROOM 28
 FCB 0,0,29,0,0,0
*ROOM 29
 FCB 0,0,0,28,0,0
*ROOM 30
 FCB 0,0,0,31,0,0
*ROOM 31
 FCB 0,0,30,0,0,0
*ROOM 32
 FCB 0,0,0,0,0,0
*ROOM 33
 FCB 32,26,0,0,0,0
*ROOM 34
 FCB 41,0,0,0,0,0
*ROOM 35
 FCB 0,36,41,37,0,0
*ROOM 36
 FCB 35,0,0,38,0,0
*ROOM 37
 FCB 0,38,35,0,0,0
*ROOM 38
 FCB 37,40,36,0,0,0
*ROOM 39
 FCB 0,0,0,0,0,0
*ROOM 40
 FCB 38,0,0,0,0,0
*ROOM 41
 FCB 0,34,0,35,0,0

* ROOM OBJECTS TABLE
* EACH VARIABLE LENGTH ENTRY
* DELIMITED BY $00

RMOBT1 EQU *
*ROOM 1
 FCB 113,121,123,119,107,0
*ROOM 2
 FCB 127,14,8+INV,16+INV,17+INV,0
*ROOM 3
 FCB 121,0
*ROOM 4
 FCB 19,100,121,27+INV,32+INV,0
*ROOM 5
 FCB 115,114,0
*ROOM 6
 FCB 126,125,104,0
*ROOM 7
 FCB 120,79,0
*ROOM 8
 FCB 120,0
*ROOM 9
 FCB 0
*ROOM 10
 FCB 98,0
*ROOM 11
 FCB 120,0
*ROOM 12
 FCB 0
*ROOM 13
 FCB 102,101,0
*ROOM 14
 FCB 95,105,24,0
*ROOM 15
 FCB 126,124,105,23,0
*ROOM 16
 FCB 0
*ROOM 17
 FCB 112,121,123,119,21,0
*ROOM 18
 FCB 25,0
*ROOM 19
 FCB 0
*ROOM 20
 FCB 121,0
*ROOM 21
 FCB 116,0
*ROOM 22
 FCB 93,121,0
*ROOM 23
 FCB 89,0
*ROOM 24
 FCB 89,120,0
*ROOM 25
 FCB 89,0
*ROOM 26
 FCB 88,89,91,0
*ROOM 27
 FCB 88,89,0
*ROOM 28
 FCB 82,86,0
*ROOM 29
 FCB 82,0
*ROOM 30
 FCB 82,0
*ROOM 31
 FCB 82,76,0
*ROOM 32
 FCB 88,89,90,83,0
*ROOM 33
 FCB 91,0
*ROOM 34
 FCB 85,123,0
*ROOM 35
 FCB 28,0
*ROOM 36
 FCB 0
*ROOM 37
 FCB 0
*ROOM 38
 FCB 0
*ROOM 39
 FCB 85,30,0
*ROOM 40
 FCB 84,0
*ROOM 41
 FCB 0
*RESERVE AREAS
 FCB 10[0]
RMOBT2 FCB 0

*******************************
* TREASURE POINT TABLE
*
* FORMAT: FCB TREASURE,POINTS
*******************************

PNTTAB EQU *
 FCB 0

SAVCOR EQU *
 FCC '4299'

*******************************
*
* GRAPHIC SCREEN INDICATOR
* TABLE (BY ROOM)
*
*******************************

SCRIND EQU *
*ROOM 1
 FCB 6,1,2,4,5,6,7,8,9,11,15
 FCB 3,10,0
*ROOM 2
 FCB 6,1,56,2,55,4,5,41,57,58,0
*ROOM 3
 FCB 6,1,2,4,5,40,41,42,43,45,44,0
*ROOM 4
 FCB 6,1,2,4,5,40,49,50
 FCB 123,124,125,0
*ROOM 5
 FCB 6,1,56,2,55,4,5,65,66,67,68,0
*ROOM 6
 FCB 6,1,56,2,55,73,77,40,41,70,72,0
*ROOM 7
 FCB 4,146,145,139,140,141
 FCB 142,143,144,0
*ROOM 8
 FCB 5,46,17,18,19,0
*ROOM 9
 FCB 5,46,17,18,19,0
*ROOM 10
 FCB 5,46,17,18,19,24,20,21,0
*ROOM 11
 FCB 7,34,35,36,37,0
*ROOM 12
 FCB 7,34,35,36,37,0
*ROOM 13
 FCB 7,34,35,36,37,30,31,0
*ROOM 14
 FCB 7,34,35,36,37,28,29,0
*ROOM 15
 FCB 6,1,56,2,55,73,77,70,72,79,80,0
*ROOM 16
 FCB 5,52,0
*ROOM 17
 FCB 6,1,2,4,5,6,7,8,38,9,11
 FCB 15,3,10,0
*ROOM 18
 FCB 5,52,25,0
*ROOM 19
 FCB 1,0
*ROOM 20
 FCB 6,1,2,4,5,79,80,81,43,45,44,0
*ROOM 21
 FCB 6,1,56,2,55,4,5,79,57,58,0
*ROOM 22
 FCB 6,1,2,4,5,80,49,50
 FCB 123,124,125,0
*ROOM 23
 FCB 9,83,94,95,87,89,86,0
*ROOM 24
 FCB 9,83,94,95,87,85,0
*ROOM 25
 FCB 9,83,94,95,87,89,86,0
*ROOM 26
 FCB 9,83,94,95,87,88,91,85,84
 FCB 90,122,0
*ROOM 27
 FCB 9,83,94,95,91,87,88,89,86
 FCB 122,0
*ROOM 28
 FCB 10,96,99,100
 FCB 98,118,119,120,0
*ROOM 29
 FCB 10,96,99,100
 FCB 98,118,119,120,0
*ROOM 30
 FCB 10,96,99,100
 FCB 98,118,119,120,0
*ROOM 31
 FCB 10,96,99,100
 FCB 98,118,119,120,0
*ROOM 32
 FCB 9,83,94,95,87,88,89,86,85
 FCB 127,0
*ROOM 33
 FCB 8,92,113,114,115,116
 FCB 117,131,132,0
*ROOM 34
 FCB 3,109,103,121,110,104,105
 FCB 106,128,151,0
*ROOM 35
 FCB 3,109,103,121,110,104,105
 FCB 128,0
*ROOM 36
 FCB 3,109,103,121,110,104,105
 FCB 128,0
*ROOM 37
 FCB 3,109,103,121,110,104,105
 FCB 128,0
*ROOM 38
 FCB 3,109,103,121,110,104,105
 FCB 128,0
*ROOM 39
 FCB 2,138,137,136,0
*ROOM 40
 FCB 3,109,103,121,110,104,105
 FCB 128,0
*ROOM 41
 FCB 3,109,103,121,110,104,105
 FCB 128,0

*******************************
*
* ANTIMATION ROUTINES BY ROOM
*
* FORMAT: ROOM #,RTN VECTOR
*
*******************************

ANTTAB EQU *
 FCB 1,>MOVLIT
 FCB 3,>MOVTEL
 FCB 4,>MOVCOM
 FCB 7,>MOVCLO
 FCB 8,>MOVWIN
 FCB 11,>MOVWIN
 FCB 24,>MOVWIN
 FCB 28,>MOVLAV
 FCB 29,>MOVLAV
 FCB 30,>MOVLAV
 FCB 31,>MOVLAV
 FCB 32,>MOVFOR
 FCB 33,>MOVLV1
 FCB 34,>MOVDOR
 FCB 35,>MOVSPI
 FCB 40,>MOVSPI
 FCB 0

*******************************
*
* IF OBJECT DROPPED IN ROOM
* PUT IT IN ANOTHER ROOM TABLE
*
* FORMAT: CURR ROOM,NEW ROOM
*
*******************************

PUTTAB EQU *
 FCB 0

*******************************
*
* GRAPHIC SCREEN PNTR TABLE
*
*******************************

SCRTAB EQU *
 FDB SCRBLU,SCRBLK,SCRWHT
 FDB SCRRED,SCRSPC,SCRSHP
 FDB SCRDES,SCRBRG,SCRBRC
 FDB SCRRBC

*******************************
*
* GRAPHIC OBJECT PNTR TABLE
*
*******************************

SCROBJ EQU *
 DEFOVL OVL001,1,113
 DEFOVL OVL002,1,13
 DEFOVL OVL003,1,13
 DEFOVL OVL004,18,1
 DEFOVL OVL005,18,125
 DEFOVL OVL006,11,109
 DEFOVL OVL007,6,37
 DEFOVL OVL008,46,25
 DEFOVL OVL009,59,29
 DEFOVL OVL010,1,17
 DEFOVL OVL011,18,109
 DEFOVL OVL012,7,41
 DEFOVL OVL013,29,9
 DEFOVL OVL014,29,9
 DEFOVL OVL015,24,93
 DEFOVL OVL016,19,53
 DEFOVL OVL017,60,65
 DEFOVL OVL018,78,1
 DEFOVL OVL019,27,119
 DEFOVL OVL020,26,41
 DEFOVL OVL021,78,1
 DEFOVL OVL022,82,77
 DEFOVL OVL023,88,89
 DEFOVL OVL024,25,21
 DEFOVL OVL025,81,25
 DEFOVL OVL026,48,61
 DEFOVL OVL027,82,49
 DEFOVL OVL028,65,57
 DEFOVL OVL029,74,33
 DEFOVL OVL030,79,1
 DEFOVL OVL031,81,53
 DEFOVL OVL032,7,41
 DEFOVL SCRDES,1,1     #033
 DEFOVL OVL034,51,1    #034
 DEFOVL OVL034,51,65   #035
 DEFOVL OVL036,71,1
 DEFOVL OVL036,71,65   #037
 DEFOVL OVL038,50,33
 DEFOVL OVL039,19,53
 DEFOVL OVL040,17,29
 DEFOVL OVL040,17,73   #041
 DEFOVL OVL042,4,49
 DEFOVL OVL043,7,105
 DEFOVL OVL044,54,57
 DEFOVL OVL045,41,53
 DEFOVL OVL017,60,1    #046
 DEFOVL OVL047,37,17
 DEFOVL OVL048,80,37
 DEFOVL OVL049,8,73
 DEFOVL OVL050,8,77
 DEFOVL OVL051,41,85
 DEFOVL SCRSPC,32,1    #052
 DEFOVL SCRSPC,1,1     #053
 DEFOVL SCRBLK,1,1     #054
 DEFOVL OVL055,1,1
 DEFOVL OVL056,1,113
 DEFOVL OVL057,15,29
 DEFOVL OVL058,15,53
 DEFOVL OVL059,70,57
 DEFOVL OVL060,77,69
 DEFOVL OVL061,67,88
 DEFOVL OVL062,69,109
 DEFOVL OVL063,16,29
 DEFOVL OVL064,15,25
 DEFOVL OVL065,12,9
 DEFOVL OVL066,15,29
 DEFOVL OVL067,33,5
 DEFOVL OVL068,59,25
 DEFOVL OVL069,32,1
 DEFOVL OVL070,63,9
 DEFOVL OVL071,36,61
 DEFOVL OVL072,55,61
 DEFOVL OVL073,48,89
 DEFOVL OVL074,32,1
 DEFOVL OVL075,34,9
 DEFOVL OVL076,36,61
 DEFOVL OVL077,72,101
 DEFOVL OVL078,36,61
 DEFOVL OVL079,17,73
 DEFOVL OVL079,17,29    #080
 DEFOVL OVL081,4,49
 DEFOVL OVL047,37,57    #082
 DEFOVL OVL083,1,1
 DEFOVL OVL084,40,61
 DEFOVL OVL085,1,105
 DEFOVL OVL086,10,13
 DEFOVL OVL087,9,81
 DEFOVL OVL088,17,33
 DEFOVL OVL089,1,1
 DEFOVL OVL090,43,21
 DEFOVL OVL091,39,1
 DEFOVL OVL092,32,113
 DEFOVL OVL093,16,49
 DEFOVL OVL094,1,45
 DEFOVL OVL095,12,117
 DEFOVL OVL096,61,1
 DEFOVL OVL097,66,41
 DEFOVL OVL098,71,1
 DEFOVL OVL099,58,89
 DEFOVL OVL100,37,105
 DEFOVL OVL101,1,57
 DEFOVL OVL102,34,77
 DEFOVL OVL103,17,1
 DEFOVL OVL104,17,29
 DEFOVL OVL105,17,89
 DEFOVL OVL106,38,61
 DEFOVL OVL107,61,57
 DEFOVL OVL108,70,61
 DEFOVL OVL109,1,1
 DEFOVL OVL110,29,41
 DEFOVL OVL111,70,61
 DEFOVL OVL112,70,61
 DEFOVL OVL092,32,97    #113
 DEFOVL OVL092,32,81    #114
 DEFOVL OVL092,32,65    #115
 DEFOVL OVL092,32,49    #116
 DEFOVL OVL092,32,33    #117
 DEFOVL OVL098,71,33    #118
 DEFOVL OVL098,71,65    #119
 DEFOVL OVL098,71,97    #120
 DEFOVL OVL103,17,101   #121
 DEFOVL OVL090,43,97    #122
 DEFOVL OVL123,34,77
 DEFOVL OVL124,34,85
 DEFOVL OVL125,26,101
 DEFOVL OVL126,47,101
 DEFOVL OVL127,25,57
 DEFOVL OVL128,90,1
 DEFOVL OVL129,57,5
 DEFOVL OVL130,57,5
 DEFOVL OVL092,32,17    #131
 DEFOVL OVL092,32,1     #132
 DEFOVL OVL133,60,57
 DEFOVL OVL134,40,53
 DEFOVL OVL135,59,57
 DEFOVL OVL136,1,45
 DEFOVL OVL137,1,93
 DEFOVL OVL138,1,25
 DEFOVL OVL139,1,13
 DEFOVL OVL140,17,21
 DEFOVL OVL141,29,29
 DEFOVL OVL142,30,77
 DEFOVL OVL143,51,61
 DEFOVL OVL144,57,65
 DEFOVL OVL145,67,1
 DEFOVL OVL146,67,1
 DEFOVL OVL147,34,77
 DEFOVL OVL148,25,57
 DEFOVL OVL149,58,57
 DEFOVL OVL150,37,93
 DEFOVL OVL151,50,101
 DEFOVL OVL152,87,85
 DEFOVL OVL153,83,89
 DEFOVL OVL154,83,53
 DEFOVL OVL155,85,57
 DEFOVL OVL156,85,29
 DEFOVL OVL157,47,69
 DEFOVL OVL158,67,13
 DEFOVL OVL159,64,17
 DEFOVL OVL160,74,105
 DEFOVL OVL161,75,97
 DEFOVL OVL162,69,17
 DEFOVL OVL163,47,69
 DEFOVL OVL164,79,105
 DEFOVL OVL165,76,89
 DEFOVL OVL166,80,13

GENHLP EQU *
 FCB 13,'T,'r,'y+$80
 FCC 'examinin','g+$80
 FCC 'things.',0

 FCB 13,'N,'o+$80
 FCC 'HEL','P+$80
 FCC 'available.',0

 FCB 13,'U,'s,'e+$80
 FCC 'SAV','E+$80
 FCC 'whe','n+$80
 FCC 'enterin','g+$80
 FCC 'dangerou','s+$80
 FCC 'areas.',0

 FCB 13,'I,'','m+$80
 FCC 'stumpe','d+$80
 FCC 'too!',0

*******************************
*
* DIRECTION DESCRIPTIONS TABLE
*
*******************************

DIRECT EQU *
 FCC 'North',',+$80,0
 FCC 'South',',+$80,0
 FCC 'East',',+$80,0
 FCC 'West',',+$80,0
 FCC 'Up',',+$80,0
 FCC 'Down',',+$80,0

*******************************
*
* COMPRESSED PHRASE TABLE
*
*******************************

TXTTAB EQU *
 FCC 'th','e+$80,0
 FCC 'smal','l+$80,0
 FCC 'ar','e+$80,0
 FCC 'se','e+$80,0
 FCC 'can','','t+$80,0
 FCC 'don','','t+$80,0
 FCC 'larg','e+$80,0
 FCB 'I,'','m+$80,0
 FCB 'i,'n+$80,'a+$80,0
 FCB 'o,'n+$80,'a+$80,0
 FCB 'i,'s+$80,'a+$80,0
 FCC .It'.,'s+$80,0
 FCC 'Th','e+$80,0
 FCB 'i,'s+$80,0
 FCC 'an','d+$80,0
 FCB 'a,'n+$80,0
 FCB 'a,'t+$80,0
 FCB 'o,'f+$80,0
 FCB 'I,'t+$80,'s,'a,'y,'s,':,13,0
 FCC 'TREKBOE','R+$80,0

*******************************
*
* VERB ROUTINE JUMP VECTORS
*
*******************************

RTNTAB EQU *
 FDB VLOOK,VINVE,VGET,VPUT
 FDB VNORTH,VSOUTH,VEAST,VWEST
 FDB VUP,VDOWN,VGO,VSAVE
 FDB VLOAD,VHELP,VSCORE,ENDGAM
 FDB BADINP,VOPEN,VWEAR,VLOOK
 FDB VREMOV,VSET,BADINP,BADINP
 FDB BADINP,BADINP,BADINP,VFILL
 FDB VINSRT,BADINP,BADINP
 FDB BADINP,VDIG,BADINP,BADINP
 FDB BADINP,VEAT,VFEED,VTIE
 FDB VUNTIE

*******************************
*
* NON ARRAY VARIABLES
*
*******************************

COMMA FCB ',+$80,0

*
* END OF FILE: ADVENT03/ASM
*
